/**
 *
 * Skinned Console Applications C++/Wii Library
 * (C)2009 http://www.pembo.co.uk
 *
 **/
 

//------------------------------------------------------------------------------
// Headers
//------------------------------------------------------------------------------
# include "skin.h"

//------------------------------------------------------------------------------
// Externals
//------------------------------------------------------------------------------


//------------------------------------------------------------------------------
// Globals
//------------------------------------------------------------------------------

//_______________________________________________________________________________
/**
 * Constructor
 */
Skin::Skin()
{
}
 
//_______________________________________________________________________________
/**
 * destructor
 */
Skin::~Skin()
{
}

//_______________________________________________________________________________
/**
 * Populates the skin values from the XML node
 * @param[in] XML Node containing an individuals skin data
 **/
void Skin::populateSkinValues(mxml_node_t *skinData)
{
	skinId   = (char*) mxmlElementGetAttr(skinData,"id");
	skinName = (char*) mxmlElementGetAttr(skinData,"name");

	skin_console_bgcolor   = atoi(mxmlElementGetAttr(skinData,"consolebgcolor"));
	skin_console_textcolor = atoi(mxmlElementGetAttr(skinData,"consoletextcolor"));

	skin_main_bgcolor   = atoi(mxmlElementGetAttr(skinData,"mainbgcolor"));
	skin_main_textcolor = atoi(mxmlElementGetAttr(skinData,"maintextcolor"));
	skin_main_textcolor2   = atoi(mxmlElementGetAttr(skinData,"maintextcolor2"));
	skin_main_titlecolor = atoi(mxmlElementGetAttr(skinData,"maintitlecolor"));
	skin_main_titlelinecolor = atoi(mxmlElementGetAttr(skinData,"maintitlelinecolor"));

	skin_main_selectedIndicatorcolor   = atoi(mxmlElementGetAttr(skinData,"mainselectedIndicatorcolor"));
	skin_main_selectedOptioncolor = atoi(mxmlElementGetAttr(skinData,"mainselectedOptioncolor"));
	skin_main_shadow = atoi(mxmlElementGetAttr(skinData,"mainshadow"));

	skin_dialog_bgcolor   = atoi(mxmlElementGetAttr(skinData,"dialogbgcolor"));
	skin_dialog_textcolor = atoi(mxmlElementGetAttr(skinData,"dialogtextcolor"));
	skin_dialog_textcolor2   = atoi(mxmlElementGetAttr(skinData,"dialogtextcolor2"));
	skin_dialog_titlecolor = atoi(mxmlElementGetAttr(skinData,"dialogtitlecolor"));
	skin_dialog_titlelinecolor = atoi(mxmlElementGetAttr(skinData,"dialogtitlelinecolor"));
	skin_dialog_selectedIndicatorcolor   = atoi(mxmlElementGetAttr(skinData,"dialogselectedIndicatorcolor"));
	skin_dialog_selectedOptioncolor = atoi(mxmlElementGetAttr(skinData,"dialogselectedOptioncolor"));
	skin_dialog_shadow = atoi(mxmlElementGetAttr(skinData,"dialogshadow"));			
	skin_dialog_shadow = atoi(mxmlElementGetAttr(skinData,"dialogshadow"));			
	
	skin_main_decl  = atoi(mxmlElementGetAttr(skinData,"maindecl"));			
	skin_dialog_decl= atoi(mxmlElementGetAttr(skinData,"dialogdecl"));			
}
